<template>
  <nav>
    <v-toolbar app>
      <v-spacer></v-spacer>
      <v-btn
        v-show="idActualUser === ''"
        mall
        color="gray"
        class="addUser mr-2"
        @click="goToRegisterPage"
        >Registrar</v-btn
      >
      <v-btn
        v-show="idActualUser === ''"
        mall
        color="gray"
        class="loging"
        @click="showLogingPage"
        >Login</v-btn
      >
      <v-btn
        v-show="role == 'normal'"
        mall
        color="gray"
        class="my-acount"
        @click="goToUserPanelPage"
        >Mi Cuenta</v-btn
      >
    </v-toolbar>
  </nav>
</template>

<script>
//import Footer from "@/components/Layout/Footer.vue";

export default {
  name: 'RegisterLoginPage',
  components: {},
  props: {
    idActualUser: String,
    role: String
  },
  data() {
    return {}
  },
  mounted: function() {},

  methods: {
    goToUserPanelPage() {
      let idActualUser = this.idActualUser
      this.$router.push('/UserPanelControlPage/' + idActualUser)
    },
    goToRegisterPage() {
      this.$router.push('/add-user')
    },
    showLogingPage() {
      this.$emit('show-login-page-event')
    }
  }
}
</script>

<style></style>
